<?php
/**
 * User: Mike
 * Email: m@9026.com
 * Date: 2017/1/12
 * Time: 17:52
 */

namespace App\Repositories\Album\Criteria;




use App\Repositories\Base\Criteria;
use App\Repositories\Contracts\RepositoryInterface as Repository;

class PosterWhere extends Criteria
{

    private $search = [];
    private $store_id;

    /**
     * ProductWhere constructor.
     * @param array $search
     * @param int $store_id
     */
    public function __construct(array $search, int $store_id)
    {
        $this->search = $search;
        $this->store_id = $store_id;
    }

    /**
     * @param $model
     * @param Repository $repository
     * @return mixed
     */
    public function apply($model, Repository $repository)
    {
        if (isset($this->search['keyword']) && $this->search['keyword']) {
            $keyword = '%' . $this->search['keyword'] . '%';
            $model = $model->where([['name','like',$keyword],['store_id',$this->store_id]])
                ->orwhere([['id','like',$keyword],['store_id',$this->store_id]]);
        } else {
            $model = $model->where([['store_id',$this->store_id]]);
        }

        return $model;
    }

}